Create a billing entity

Requires the BILLING_ENTITY.CREATE permission.

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.

Request

This endpoint expects an object.
referencestringRequiredformat: "^\S+$"0-256 characters
default_customer_country_selectorlist of enumsRequired
default_billing_currency_selectorlist of enumsRequired
statusstring or nullOptional
timezonestring or nullOptional
legal_namestring or nullOptional
The legal name of the billing entity.
tax_idstring or nullOptionalformat: "^[a-zA-Z0-9\-]*"0-256 characters
The ID used for tax purposes of the billing entity.
tax_idslist of objects or nullOptional
Tax IDs used for tax purposes of the billing entity
registration_numberstring or nullOptional
The registration number of the billing entity.
registered_addressobjectOptional
The address of this tax registration, if different from the billing entity. Currently, only the address will be used for tax calculations
emailstring or nullOptionalformat: "(\S*@\S*\..*)"0-256 characters
The email address of the billing entity.
tax_settingsobjectOptional
Customise tax settings for this Billing Entity
tax_registrationslist of objects or nullOptional
Extra tax registrations for this billing entity
custom_fieldslist of objects or nullOptional
linked_integrationslist of objects or nullOptional

Response

Created
referencestringformat: "^\S+$"0-256 characters
default_customer_country_selectorlist of enums
default_billing_currency_selectorlist of enums
object_typestring or nullRead-only
idstring or nullRead-only
created_atstring or nullRead-only
statusstring or null
timezonestring or null
legal_namestring or null
The legal name of the billing entity.
tax_idstring or nullformat: "^[a-zA-Z0-9\-]*"0-256 characters
The ID used for tax purposes of the billing entity.
tax_idslist of objects or null
Tax IDs used for tax purposes of the billing entity
registration_numberstring or null
The registration number of the billing entity.
registered_addressobject
The address of this tax registration, if different from the billing entity. Currently, only the address will be used for tax calculations
emailstring or nullformat: "(\S*@\S*\..*)"0-256 characters
The email address of the billing entity.
tax_settingsobject
Customise tax settings for this Billing Entity
tax_registrationslist of objects or null
Extra tax registrations for this billing entity
custom_fieldslist of objects or null
linked_integrationslist of objects or null

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
409
Conflict Error
500
Internal Server Error